Upcoming release of several ETS packages

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Upcoming release of several ETS packages

Jonathan Rocher
Dear fellow developers, 

We are planning on cutting a release Tuesday next week (Dec 2nd) for:
- Traits
- TraitsUI
- Envisage
- Chaco
- Codetools

Time to check your applications against the current master... If you have concerns or requests, please voice them as soon as possible.

Happy thanksgiving and happy coding! 
Jonathan

--
Jonathan Rocher, PhD
Scientific software developer
Enthought, Inc.
[hidden email]
1-512-536-1057
http://www.enthought.com


_______________________________________________
Enthought-Dev mailing list
[hidden email]
https://mail.enthought.com/mailman/listinfo/enthought-dev
Reply | Threaded
Open this post in threaded view
|

Re: Upcoming release of several ETS packages

Arnd Baecker
Hi,

I already get stuck during installation:
Following http://code.enthought.com/source/ I get::

   python ets.py develop
   Running command ['/usr/bin/python', 'setup.py', 'develop'] in package
   casuarius
   usage: setup.py [global_opts] cmd1 [cmd1_opts] [cmd2 [cmd2_opts] ...]
      or: setup.py --help [cmd1 cmd2 ...]
      or: setup.py --help-commands
      or: setup.py cmd --help

   error: invalid command 'develop'
      Error running command in package casuarius:
      Command '['/usr/bin/python', 'setup.py', 'develop']' returned
      non-zero exit status 1
      Press enter to process remaining packages.

Is there something which I am doing wrong?

In the end I would like to do something like
   python ets.py develop --prefix=$MY_DEST
which seems to have worked in the past (at least my old
notes suggest this ...).

Best, Arnd


On Wed, 27 Nov 2013, Jonathan Rocher wrote:

> Dear fellow developers, 
> We are planning on cutting a release Tuesday next week (Dec 2nd) for:
> - Traits
> - TraitsUI
> - Envisage
> - Chaco
> - Codetools
>
> Time to check your applications against the current master... If you have
> concerns or requests, please voice them as soon as possible.
>
> Happy thanksgiving and happy coding! 
> Jonathan
>
> --
> Jonathan Rocher, PhD
> Scientific software developerEnthought, Inc.
> [hidden email]
> 1-512-536-1057
> http://www.enthought.com
>
>
_______________________________________________
Enthought-Dev mailing list
[hidden email]
https://mail.enthought.com/mailman/listinfo/enthought-dev
Reply | Threaded
Open this post in threaded view
|

Re: Upcoming release of several ETS packages

Didrik Pinte-2



On 28 November 2013 20:32, Arnd Baecker <[hidden email]> wrote:
Hi,

I already get stuck during installation:
Following http://code.enthought.com/source/ I get::

  python ets.py develop
  Running command ['/usr/bin/python', 'setup.py', 'develop'] in package
  casuarius
  usage: setup.py [global_opts] cmd1 [cmd1_opts] [cmd2 [cmd2_opts] ...]
     or: setup.py --help [cmd1 cmd2 ...]
     or: setup.py --help-commands
     or: setup.py cmd --help

  error: invalid command 'develop'
     Error running command in package casuarius:
     Command '['/usr/bin/python', 'setup.py', 'develop']' returned
     non-zero exit status 1
     Press enter to process remaining packages.

Is there something which I am doing wrong?

 

I've merged the PR. Can you give it another try.

Thanks,

-- Didrik

_______________________________________________
Enthought-Dev mailing list
[hidden email]
https://mail.enthought.com/mailman/listinfo/enthought-dev
Reply | Threaded
Open this post in threaded view
|

Re: Upcoming release of several ETS packages

Arnd Baecker
On Fri, 29 Nov 2013, Didrik Pinte wrote:

[ ... ]

> It is a known issue : https://github.com/enthought/casuarius/pull/6
>
> I've merged the PR. Can you give it another try.
>
> Thanks,

Now everything (installing and running my larger application using
mayavi/envisage/...) seems to work fine!

Thanks a a lot!

Best, Arnd
_______________________________________________
Enthought-Dev mailing list
[hidden email]
https://mail.enthought.com/mailman/listinfo/enthought-dev